dnl $Id$

dnl AC_CHECK_STRUCT_MEMBER(STRUCT, MEMBER, [INCLUDES
dnl			    [, ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]]])

AC_DEFUN(AC_CHECK_STRUCT_MEMBER,
[AC_MSG_CHECKING([for $2 in struct $1])
dnl This uses tr rather than translit() because it isn't expanded until
dnl runtime.
ac_struct_member_var=ac_cv_struct_`echo "$1_$2" | tr '.->' '___'`
AC_CACHE_VAL([$ac_struct_member_var],
[AC_TRY_COMPILE([$3], [struct $1 s; s.$2;],
[eval "$ac_struct_member_var=yes"], [eval "$ac_struct_member_var=no"])])
if eval "test \"\$$ac_struct_member_var\" = yes"
then
    AC_MSG_RESULT(yes)
    $4
else
    AC_MSG_RESULT(no)
    $5
fi
])dnl

dnl AC_CHECK_STRUCT_MEMBERS(STRUCT, MEMBER..., [INCLUDES
dnl			    [, ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]]])

AC_DEFUN(AC_CHECK_STRUCT_MEMBERS,
[for ac_member in $2
do
AC_CHECK_STRUCT_MEMBER([$1], [$ac_member], [$3],
    [ac_tr_member=HAVE_STRUCT_`echo "$1[]_$ac_member" |
	dnl This uses tr rather than translit() because it isn't
	dnl expanded until runtime.
	tr '.->abcdefghijklmnopqrstuvwxyz' '___ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
    AC_DEFINE_UNQUOTED($ac_tr_member) $4], [$5])dnl
done
])
